package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.SjFybpZb;
import com.qianhe.domain.SjFybp;

/**
 * 三基-费用报批主Mapper接口
 * 
 * @author qianhe
 * @date 2024-07-11
 */
public interface SjFybpZbMapper 
{
    /**
     * 查询三基-费用报批主
     * 
     * @param id 三基-费用报批主主键
     * @return 三基-费用报批主
     */
    public SjFybpZb selectSjFybpZbById(Long id);

    /**
     * 查询三基-费用报批主列表
     * 
     * @param sjFybpZb 三基-费用报批主
     * @return 三基-费用报批主集合
     */
    public List<SjFybpZb> selectSjFybpZbList(SjFybpZb sjFybpZb);

    /**
     * 新增三基-费用报批主
     * 
     * @param sjFybpZb 三基-费用报批主
     * @return 结果
     */
    public int insertSjFybpZb(SjFybpZb sjFybpZb);

    /**
     * 修改三基-费用报批主
     * 
     * @param sjFybpZb 三基-费用报批主
     * @return 结果
     */
    public int updateSjFybpZb(SjFybpZb sjFybpZb);

    /**
     * 删除三基-费用报批主
     * 
     * @param id 三基-费用报批主主键
     * @return 结果
     */
    public int deleteSjFybpZbById(Long id);

    /**
     * 批量删除三基-费用报批主
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFybpZbByIds(Long[] ids);

    /**
     * 批量删除三基-费用报批
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFybpByZbIds(Long[] ids);
    
    /**
     * 批量新增三基-费用报批
     * 
     * @param sjFybpList 三基-费用报批列表
     * @return 结果
     */
    public int batchSjFybp(List<SjFybp> sjFybpList);
    

    /**
     * 通过三基-费用报批主主键删除三基-费用报批信息
     * 
     * @param id 三基-费用报批主ID
     * @return 结果
     */
    public int deleteSjFybpByZbId(Long id);
}
